%define name tuxpuck
%define version 0.8.2
%define release 2mdk

Summary: Clone of ShufflePuck Cafe historical game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www.efd.lth.se/~d00jkr/tuxpuck/
License: GPL
Group: Games/Arcade
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libSDL-devel libpng-devel libogg-devel libvorbis-devel libz-devel libjpeg-devel
%description
Anyone remember "Shufflepuck Cafe" for the Amiga/AtariST ?

%prep

%setup -q

%build
perl -pi -e 's/-Werror//' Makefile
perl -pi -e 's/`sdl-config --cflags`/`sdl-config --cflags` `freetype-config --cflags`/' utils/Makefile
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
install -m755 tuxpuck $RPM_BUILD_ROOT%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): needs=x11 section="Amusement/Arcade" title="Tuxpuck" \
  longtitle="Clone of ShufflePuck Cafe" icon="arcade_section.png" command="%{_gamesbindir}/tuxpuck"
EOF


%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING 
%{_gamesbindir}/*
%{_menudir}/*

%changelog
* Mon Mar 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.8.2-2mdk
- add missing BuildRequires

* Fri Jan 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.2-1mdk
- 0.8.2

* Wed Oct 16 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Fri Oct 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.8.0-1mdk
- updated by Crispin Boylan <viewtronix@uklinux.net> :
	- New version

* Mon Sep  9 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 0.7.91-4mdk
- added a packager

* Thu Jul 25 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.7.91-3mdk
- rebuild for new vorbis

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.91-2mdk
- rebuild for new alsa

* Thu Apr  4 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.91-1mdk
- new version

* Mon Feb 18 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.9-1mdk
- new version (with legal problems solved)

* Mon Feb  4 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.7.7-1mdk
- new version

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Tue Dec 25 2001 David BAUDENS <baudens@mandrakesoft.com> 0.30-2mdk
- Use standard icon in menu

* Thu Dec 20 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.30-1mdk
- first mdk package
